Bug 207454 - scim remembers last IME used for desktop locale
Summary: scim remembers last IME used for desktop locale
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: SCIM
TreeView+ depends on / blocked
 
Reported: 2006-09-21 07:36 UTC by Satyabrata Maitra
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 14:29:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Satyabrata Maitra 2006-09-21 07:36:27 UTC
Description of problem:
When log in with Oriya Language, the SCIM should show the oriya IME by default,
But it is not showing that. It is showing the IME last choosed!!

Version-Release number of selected component (if applicable):
scim-1.4.4-34.fc6
scim-bridge-0.4.5-2.fc6
scim-bridge-gtk-0.4.5-2.fc6
fonts-oriya-2.0.3-1
m17n-db-oriya-1.3.3-27.fc6

How reproducible:
Always

Steps to Reproduce:
1. Log in system in Oriya Language
2. Open gedit
3. Activate SCIM
4. Observe the result
  
Actual results:
Default IME is not showing oriya layout in SCIM

Expected results:
Default IME should show the oriya layout by default

Additional info:

Comment 1 Jens Petersen 2006-09-21 09:24:42 UTC
Strange - works okay for a new user at least.  Let me look into it more.

Comment 2 Jens Petersen 2006-09-21 09:29:25 UTC
Rebooting seemed to fix the problem for me.

It might be related to scim-bridge outliving desktop sessions.

Comment 3 Jens Petersen 2006-09-21 09:32:57 UTC
Can you reproduce without scim-bridge-gtk?
Anyway I don't think this issue is Oriya specific.

Comment 4 Satyabrata Maitra 2006-09-21 12:12:08 UTC
Hi Jens

But I tested it with restarting the system also. same result. Its showing the
IME previously selected before restart!! It is I think for all Indic Language.
Although not tested all Indic Langs. But same problem exists for bn_IN, ml_IN
also. However, I am testing it without scim-bridge-gtk, and informing u the result.

Comment 5 Satyabrata Maitra 2006-09-21 12:17:44 UTC
I tested it without scim-bridge-gtk also. The result is same!!

Comment 6 Jens Petersen 2006-09-29 14:29:00 UTC
I believe this is a scim feature.

Comment 7 Jens Petersen 2006-09-29 14:30:59 UTC
Just to conform: did you login previously with Oriya locale?


Note You need to log in before you can comment on or make changes to this bug.